Page MenuHomePhabricator

Lojban Wikipedia namespace translation
Closed, ResolvedPublic

Description

The Lojban Wikipedia's Wikipedia namespace's name is not translated. It should be "uikipediias".

Related Objects

Event Timeline

KSFT created this task.Nov 7 2015, 3:54 AM
KSFT raised the priority of this task from to Needs Triage.
KSFT updated the task description. (Show Details)
KSFT added a project: Wikimedia-Site-requests.
KSFT added a subscriber: KSFT.
Restricted Application added subscribers: StudiesWorld, Matanya, Aklapper. · View Herald TranscriptNov 7 2015, 3:54 AM
Liuxinyu970226 set Security to None.Nov 7 2015, 1:55 PM
TTO added a subscriber: TTO.Nov 10 2015, 5:03 AM

Three things:

  • Please show community consensus for the change. I notice that not many users are active there, so at least, please open a discussion on the main community discussion venue, and wait to see if anyone objects.
  • Please provide a translation for the "Wikipedia talk" namespace as well.
  • I notice that none of the other namespaces have been translated on jbowiki. If you want them to be translated, feel free to file a new task. Such a change would not require community consensus, as it is not specific to your wiki, but embedded in the MediaWiki software itself.

The apostrophe shouldn't cause any problems.

TTO added a comment.Nov 10 2015, 5:09 AM

Also, while you're here, I should ask you: Please do not perform translations like this in the MediaWiki namespace on your own wiki. Editing the MediaWiki namespace is meant for local customizations only. To make sure all Lojban installations on MediaWiki can benefit from your translation, please make the edit at translatewiki.net instead.

  • I notice that none of the other namespaces have been translated on jbowiki. If you want them to be translated, feel free to file a new task. Such a change would not require community consensus, as it is not specific to your wiki, but embedded in the MediaWiki software itself.

That's already T117841: Lojban translations

KSFT added a comment.EditedNov 10 2015, 1:52 PM
  • Please show community consensus for the change. I notice that not many users are active there, so at least, please open a discussion on the main community discussion venue, and wait to see if anyone objects.

I did that here. No one's responded yet.

  • Please provide a translation for the "Wikipedia talk" namespace as well.

"me la .uikipedi'as casnu"

Note that Lojban is (almost always) all lowercase.

TTO added a comment.Nov 11 2015, 11:48 AM

me la .uikipedi'as casnu

Hmm, seems very verbose. Can you provide a word-for-word interpretation just to help us assess this?

And, from my limited understanding of Lojban, could there be a dot missing?

KSFT added a comment.Nov 11 2015, 4:32 PM

"casnu la .uikipedi'as." is probably better.

Dereckson triaged this task as Medium priority.Nov 13 2015, 11:09 AM
Dereckson added a subscriber: Dereckson.

Change 255954 had a related patch set uploaded (by TTO):
Translate project namesapce for jbowiki

https://gerrit.wikimedia.org/r/255954

TTO claimed this task.Nov 30 2015, 3:06 AM
KSFT updated the task description. (Show Details)Dec 1 2015, 10:37 PM

Change 255954 merged by jenkins-bot:
Translate project namesapce for jbowiki

https://gerrit.wikimedia.org/r/255954

TTO closed this task as Resolved.Dec 7 2015, 4:23 PM

Namespace name is now changed. You may need to purge pages to see the change.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMar 7 2016, 5:03 PM